//	===============================================
//	RGB Led-Leiste mit 10 LEDs - Konstanten
//	===============================================
//  RGB_LED.h
//	Version 2.00 (21.06.2007)
//
#define	LED_HellCycleLeng  		10

#define	Timer1_Top	 			6250

/** UART commands */
#define	UCOM_Reset_Device	 	0b11110001
#define	UCOM_Start_Bootload  	0b11110010
#define	UCOM_Goto_VUMode	 	0b11110011
#define	UCOM_Goto_PMode		 	0b11110100
#define	UCOM_Goto_DMode		 	0b11110101

#define	UCOM_DM_LEDSet		 	0b00110001	// followed by 30 bytes of LED Data
#define	UCOM_DM_Flush		 	0b00110010	// 30 bytes nicht speichern falls nicht bereit war

#define	UCOM_Return_Unknown		0b11100001
#define	UCOM_Return_Boot_Rdy	0b11100010
#define	UCOM_Return_Boot_RdyNP	0b11100011
#define	UCOM_Return_DM_PrevNC	0b11100100


/** Program Control Bits */
	//# Bit 0-5 Main Messages
#define	PC_Start_Bootload	 	0
#define	PC_Goto_VUMode		 	1
#define	PC_Goto_PMode			2
#define	PC_Goto_DMode			3
#define	PC_PM_NextLEDSet	 	4
#define	PC_DM_NewLEDSet		 	5

/** Mode Options and Current Mode */
	//# Bit 0-3 Curent Program Mode
#define	MC_VUMode			 	0
#define	MC_PMode			 	1
#define	MC_DMode			 	2
	//# Bit 6 Prev Calc in Progress don't use X,Z register
#define	MC_DM_Busy			 	6
	//# Bit 7 Switch Led-Control-Memory Pointer (0 -> Block 1 # 1 -> Block 2)
#define	MC_MemPointer		 	7

/** Fareb */
#define	CC_Red			 	0
#define	CC_Green		 	1
#define	CC_Blue			 	2
#define	CC_Rest			 	3

